/* Base code, only for html tags ---------------------
 ----------------------------------------------------- */
 * {
  box-sizing: border-box;
}

*:focus, *:active { 
  outline: none !important;
}

html {
  font-size: 14px;
}

body {
  font-size: 1rem;
}

html,
body {
  margin: 0;
  width: 100%;
  height: 100%;
  font-family: 'Open Sans', sans-serif;
  -webkit-background-clip: padding-box;
  background-clip: padding-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
}

button {
  outline: none;
  border: none;
  user-select: none;
}

ul {
  margin: 0;
  padding: 0;
  li {
    list-style: none;
  }
}

a,
a:visited,
a:hover,
a:focus,
a:active {
  text-decoration: none;
  &.underline:hover {
    text-decoration: underline;
  }
}

a {
  &:hover,
  &:focus {
    text-decoration: none;
  }
  &:focus {
    outline: none;
  }
}

input:focus {
  outline: none;
}

label {
  display: block;
  text-align: left;
  margin: 0;
}

strong {
  font-weight: bold;
}

img {
  vertical-align: bottom;
  max-width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-top: 0;
  margin-bottom: 0.5rem;
  font-weight: normal;
  line-height: 1.3;
}

h1 {
  font-size: 2rem;
}

h2 {
  font-size: 1.8rem;
}

h3 {
  font-size: 1.6rem;
}

h4 {
  font-size: 1.4rem;
}

h5 {
  font-size: 1.2rem;
}

h6 {
  font-size: 0.9rem;
}

p {
  line-height: 1.4;
  margin: 0;
}